Name: k3d
Summary: 3D modeling system
Summary(ru_RU.KOI8-R):	 3D-
Version: 0.1.38.0
Release: alt1
License: GPL
Group: Multimedia/Graphics
Url: http://k3d.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/k3d/%name-%version-src.tbz2
# icons from Jotham Ritorze's logo
Source1: k3d_16.xpm
Source2: k3d_32.xpm
Source3: k3d_48.xpm
Source4: k3d.menu

BuildRequires: XFree86-devel glib-devel gtk+-devel libsdpgl-devel
BuildRequires: libsdpgtk-devel libsdpsl-devel libsdptypes-devel libsdpxml-devel
BuildRequires: libsdptypes libsdpxml libsdpgtk libsdpsl libsdpgl
# BuildRequires: plib
Requires: libsdpgl libsdpgtk libsdpsl libsdptypes libsdpxml

%description
K-3D is an advanced 3D modeling, animation, and rendering system
that is extremely portable (including GNU/Linux, FreeBSD, and Win32
operating systems), licensed under the GNU General Public License.

%description -l ru_RU.KOI8-R
K-3D -    3D-,   ,
    ( GNU/Linux, FreeBSD,  Win32)
   GNU General Public License (GPL).

%prep
%setup -n %name-%version-src

%build
./configure --prefix=%_libdir/%name --without-plib
%make_build

%install
%make_install install prefix=%buildroot%_libdir/%name
#bindir=%buildroot%_bindir libdir=%buildroot%_libdir/%name templatedir=%buildroot%_datadir/%name/dialogtemplates scriptdir=%buildroot%_datadir/%name/scripts shaderdir=%buildroot%_datadir/%name/shaders datadir=%buildroot%_datadir/%name tutorialdir=%buildroot%_datadir/%name/tutorials
mkdir %buildroot%_bindir
ln -sf %_libdir/%name/bin/k3d %buildroot%_bindir/k3d
ln -sf %_libdir/%name/bin/renderframe %buildroot%_bindir/renderframe
ln -sf %_libdir/%name/bin/renderjob %buildroot%_bindir/renderjob

mkdir -p %buildroot%_iconsdir
mkdir -p %buildroot%_liconsdir
mkdir -p %buildroot%_miconsdir

cp %SOURCE2 %buildroot%_iconsdir/%name.xpm
cp %SOURCE1 %buildroot%_miconsdir/%name.xpm
cp %SOURCE3 %buildroot%_liconsdir/%name.xpm

mkdir %buildroot%_menudir
cp %SOURCE4 %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_libdir/%name/*
%dir %_libdir/%name
%_menudir/%name
%doc docs/* AUTHORS DESIGN
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Tue May 07 2002 Grigory Batalov <bga@altlinux.ru> 0.1.38.0-alt1
- 0.1.38.0
- initial build for ALTLinux
